package com.persagy.account.mapper;

import java.util.List;
import java.util.Set;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.persagy.account.pojo.dto.SaasAccountProject;
import com.persagy.account.pojo.vo.auth.AccountProjectResetVO;

/**
 * 账号-集团项目关联信息
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Mapper
public interface SaasAccountProjectMapper extends BaseMapper<SaasAccountProject> {

	/**
	 * 批量创建账号集团项目信息
	 * 
	 * @param accountId
	 * @param projectIds
	 * @return
	 */
	Integer batchInsertSaasAccountProject(@Param("accountId") String accountId, @Param("auths") List<AccountProjectResetVO> auths);

	/**
	 * 获取已被分配的集团区域ID集合
	 * @param accountId
	 * @param groupCode
	 * @return
	 */
	Set<String> queryAccountAreaIds(@Param("accountId") String accountId, @Param("groupCode") String groupCode);
	
	/**
	 * 更新或新增账号-集团区域项目关联关系
	 * 
	 * @param datas
	 * @return
	 */
	Integer replaceAccountProject(@Param("datas") List<SaasAccountProject> datas);
	
}
