package com.persagy.account.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.persagy.account.pojo.dto.SaasGroup;

/**
 * 集团信息
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Mapper
public interface SaasGroupMapper extends BaseMapper<SaasGroup> {
	
	/**
	 * 查询集团信息列表，表关联查询(权限控制)
	 * @param saasGroup
	 * @param accountId
	 * @return
	 */
	List<SaasGroup> queryAllowGroupInfo(@Param("group") SaasGroup saasGroup, @Param("accountId") String accountId);

	/**
	 * 查询没有项目信息的被选中的集团信息
	 * 
	 * @param groupCode
	 * @param accountId
	 * @return
	 */
	List<SaasGroup> queryGroupAndEmptyProject(@Param("groupCode") String groupCode, @Param("accountId") String accountId);
	
}
