package com.persagy.account.mapper;

import java.util.List;
import java.util.Set;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.persagy.account.pojo.dto.SaasProjectProduct;

/**
 * 项目签约产品
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-05-07 12:02:40
 */
@Mapper
public interface SaasProjectProductMapper extends BaseMapper<SaasProjectProduct> {

	/**
	 * 查询产品项目签约信息，携带出项目名称
	 * 
	 * @param contractId
	 * @param groupCode
	 * @param projectId
	 * @param productId
	 * @return
	 */
	List<SaasProjectProduct> querySaasProjectProductList(@Param("contractId") String contractId, @Param("groupCode") String groupCode, 
			@Param("projectId") String projectId, @Param("productId") String productId);

	/**
	 * 批量新增该产品集团下的签约项目
	 * 
	 * @param contractId
	 * @param groupCode
	 * @param productId
	 * @param projectIds
	 * @return
	 */
	Integer batchInsertSaasProjectProduct(@Param("contractId") String contractId, @Param("groupCode") String groupCode, 
			@Param("productId") String productId, @Param("projectIds") Set<String> projectIds);
	
}
