package com.persagy.account.pojo.dto;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.persagy.common.utils.StringUtil;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 角色-菜单功能关联信息
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Getter
@Setter
@ToString
@EqualsAndHashCode(callSuper = false)
@TableName("saas_role_menu")
public class SaasRoleMenu extends Model<SaasRoleMenu> {
	private static final long serialVersionUID = 7777627780073191075L;

	@TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String groupCode; // 集团编码
	
	@TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String roleId; 	// 角色ID

	@TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String menuId; 	// 菜单ID
	
	@TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String pageId; 	// 页面ID

	@TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String functionId; // 功能ID

	public static class Builder {

		private LambdaQueryWrapper<SaasRoleMenu> queryWrapper = null;

		private LambdaUpdateWrapper<SaasRoleMenu> updateWrapper = null;

		public Builder createQueryWrapper() {
			queryWrapper = new LambdaQueryWrapper<SaasRoleMenu>();
			return this;
		}

		public Builder createUpdateWrapper() {
			updateWrapper = new LambdaUpdateWrapper<SaasRoleMenu>();
			return this;
		}

		public Builder groupCodeEq(String groupCode) {
			if (StringUtil.isNotBlank(groupCode)) {
				if (updateWrapper != null) {
					updateWrapper.eq(SaasRoleMenu::getGroupCode, groupCode);
				} else {
					queryWrapper.eq(SaasRoleMenu::getGroupCode, groupCode);
				}
			}
			return this;
		}
		
		public Builder roleIdEq(String roleId) {
			if (StringUtil.isNotBlank(roleId)) {
				if (updateWrapper != null) {
					updateWrapper.eq(SaasRoleMenu::getRoleId, roleId);
				} else {
					queryWrapper.eq(SaasRoleMenu::getRoleId, roleId);
				}
			}
			return this;
		}

		public Builder menuIdEq(String menuId) {
			if (StringUtil.isNotBlank(menuId)) {
				if (updateWrapper != null) {
					updateWrapper.eq(SaasRoleMenu::getMenuId, menuId);
				} else {
					queryWrapper.eq(SaasRoleMenu::getMenuId, menuId);
				}
			}
			return this;
		}
		
		public Builder pageIdEq(String pageId) {
			if (StringUtil.isNotBlank(pageId)) {
				if (updateWrapper != null) {
					updateWrapper.eq(SaasRoleMenu::getPageId, pageId);
				} else {
					queryWrapper.eq(SaasRoleMenu::getPageId, pageId);
				}
			}
			return this;
		}

		public Builder functionIdEq(String functionId) {
			if (StringUtil.isNotBlank(functionId)) {
				if (updateWrapper != null) {
					updateWrapper.eq(SaasRoleMenu::getFunctionId, functionId);
				} else {
					queryWrapper.eq(SaasRoleMenu::getFunctionId, functionId);
				}
			}
			return this;
		}

		public LambdaQueryWrapper<SaasRoleMenu> builderQueryWrapper() {
			return queryWrapper;
		}

		public LambdaUpdateWrapper<SaasRoleMenu> builderUpdateWrapper() {
			return updateWrapper;
		}
	}
}
