package com.persagy.account.pojo.vo.auth;

import java.util.List;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;

import com.persagy.common.model.BaseUserModel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2021年3月16日:	下午4:08:00
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasAccountRoleBatchVO extends BaseUserModel {

	@ApiModelProperty(value = "集团编码，作为SQL条件", example = "RC")
	private String groupCode; 	// 所属集团编码
	
	@ApiModelProperty(value = "关联类型，0-主岗，1-副岗，2-业务超管默认角色", example = "0")
	private String casType; 	// 关联类型，0-主岗，1-副岗，2-业务超管默认角色，这里的关联类型，会作为重置的条件，先进行删除
	
	@Valid
	@NotEmpty(message = "角色集合，不可为空")
	@ApiModelProperty(value = "角色", example = "123")
	private List<SaasAccountRoleVO> roles; 	// 角色ID
	
}
