package com.persagy.account.pojo.vo.auth;

import java.util.List;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;

import com.persagy.common.model.BaseGroupModel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 角色-菜单功能关联信息
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasRoleMenuBatchVO<T> extends BaseGroupModel {

	@NotBlank(message = "角色ID，不可为空")
	@ApiModelProperty(value = "角色ID", example = "123")
	private String roleId; 	// 角色ID

	@Valid
	@NotEmpty(message = "菜单功能权限集合，不可为空")
	@ApiModelProperty(value = "菜单功能权限集合", example = "1001")
	private List<T> auths; 	// 菜单功能权限集合

}
