package com.persagy.account.pojo.vo.group;

import javax.validation.constraints.NotBlank;

import com.persagy.common.model.BaseGroupModel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 集团信息
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasGroupCreateVO extends BaseGroupModel {

	@NotBlank(message = "集团名称，不可为空")
	@ApiModelProperty(value = "集团名称", example = "万达集团", required = true)
	private String groupName; // 集团名称,业务保证唯一性

	//@NotBlank(message = "集团部署，方式不可为空")
	@ApiModelProperty(value = "集团部署方式，0-公有云，1-私有云", example = "0", required = true)
	private String deployModel; // 集团部署方式，0-公有云，1-私有云

	@ApiModelProperty(value = "集团图标", example = "http://127.0.0.1:9999/test.img")
	private String groupIcon; // 集团图标

	@ApiModelProperty(value = "集团描述", example = "测试集团")
	private String groupDesc; // 集团描述
	
	@ApiModelProperty(value = "备注", example = "测试集团")
	private String remark; // 备注

}
