package com.persagy.account.pojo.vo.product;

import com.persagy.account.pojo.vo.BaseGroupVO;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 产品签约信息
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021-05-07 10:31:47
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasGroupProductQueryVO extends BaseGroupVO {
	
	@ApiModelProperty(value = "产品ID", example = "1001")
	private String productId; // 产品ID
	
	@ApiModelProperty(value = "签约有效期，0-期内有效，1-永久有效", example = "0")
	private String validLast; // 签约有效期，0-期内有效，1-永久有效
	
	@ApiModelProperty(value = "是否统计项目数，true-统计，默认false", example = "false")
	private boolean totalProject = false;	//是否统计项目数，true-统计，默认false

}
