package com.persagy.account.pojo.vo.product;

import com.persagy.common.model.BaseUserModel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 产品信息查询
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021年4月27日 下午5:03:53
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasProductQueryVO extends BaseUserModel {

	@ApiModelProperty(value = "产品编码", example = "1001")
	private String productCode; // 产品编码

	@ApiModelProperty(value = "产品名称，模糊查询", example = "chanpin")
	private String productName; // 产品名称

	@ApiModelProperty(value = "产品状态，0-建设中，1-已完成，2-已关联", example = "0")
	private String productState; // 产品状态，0-建设中，1-已完成，2-已关联

	@ApiModelProperty(value = "产品是否关联菜单，0-未关联，1-已关联", example = "0")
	private String productMenu; // 产品是否关联菜单，0-未关联，1-已关联
	
	@ApiModelProperty(value = "产品类型，0-系统产品，1-标准业务产品，2-IBMS产品", example = "0")
	private String productType;	//产品类型，0-系统产品，1-标准业务产品，2-IBMS产品

	@ApiModelProperty(value = "最后一次操作者ID", example = "RC")
	private String updateUser; // 最后一次操作者ID

}
