package com.persagy.sso.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.google.common.collect.Lists;
import com.persagy.common.utils.ResponseResult;
import com.persagy.common.utils.ResponseResultUtil;
import com.persagy.sso.pojo.dto.AccountReflex;
import com.persagy.sso.pojo.dto.AccountReflex.Builder;
import com.persagy.sso.service.IAccountReflexService;

import cn.hutool.core.collection.CollectionUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 
 * 
 * @version 1.0.0
 * @company persagy 
 * @author xgq
 * @date 2021-04-16 00:32:26
 */

@Api(tags = "账号映射关系,未使用")
@RestController
@RequestMapping(value = "/accountReflex", method = RequestMethod.POST)
public class AccountReflexController {
    @Autowired
    private IAccountReflexService accountReflexService;
    
    /**
     * 列表查询
     */
    @ApiOperation(value = "列表查询")
    @RequestMapping(value = "queryAccountReflexList")
    public ResponseResult queryAccountReflexList(@RequestBody AccountReflex accountReflex) {
    	Builder builder = new AccountReflex.Builder().createQueryWrapper();
    	LambdaQueryWrapper<AccountReflex> queryWrapper = builder.builderQueryWrapper();
    	List<AccountReflex> list = this.accountReflexService.list(queryWrapper);
    	if (CollectionUtil.isEmpty(list)) {
			return ResponseResultUtil.successResult(Lists.newArrayList(), 0L);
		}
        return ResponseResultUtil.successResult(list, (long)list.size());
    }

    /**
     * 新增
     */
	@ApiOperation(value = "保存")
	@RequestMapping(value = "createAccountReflex")
    public ResponseResult createAccountReflex(@RequestBody AccountReflex accountReflex) {
        boolean result = this.accountReflexService.save(accountReflex);
        return result ? ResponseResultUtil.successResult("保存成功") : ResponseResultUtil.errorResult("保存失败");
    }
    
    /**
     * 更新
     */
	@ApiOperation(value = "更新")
	@RequestMapping(value = "updateAccountReflex")
    public ResponseResult updateAccountReflex(@RequestBody AccountReflex accountReflex) {
        boolean result = this.accountReflexService.updateById(accountReflex);
        return result ? ResponseResultUtil.successResult("更新成功") : ResponseResultUtil.errorResult("更新失败");
    }

    /**
     * 物理删除
     */
    @ApiOperation(value = "删除")
    @RequestMapping(value = "deleteAccountReflex")
    public ResponseResult deleteAccountReflex(@RequestBody AccountReflex accountReflex) {
        boolean result = this.accountReflexService.removeById(accountReflex.getId());
        return result ? ResponseResultUtil.successResult("删除成功") : ResponseResultUtil.errorResult("删除失败");
    }
    
}
