package com.persagy.sso.pojo.dto;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.persagy.common.model.BaseEntity;
import com.persagy.common.utils.StringUtil;


import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 
 * 
 * @version 1.0.0
 * @company persagy 
 * @author xgq
 * @date 2021-04-15 21:49:05
 */
@Getter
@Setter
@ToString
@EqualsAndHashCode(callSuper = false)
@TableName("job_reflex")
public class JobReflex extends BaseEntity<JobReflex> {

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
    private String id;			// id

        @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String oaJobId;			// 万达oa岗位iid 

        @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String jobId;			// fm岗位id

        @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private Date createTime;			// 

        @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private Date updateTime;			// 

    
	public static class Builder {

		private LambdaQueryWrapper<JobReflex> queryWrapper = null;
		
		private LambdaUpdateWrapper<JobReflex> updateWrapper = null;
		
		public Builder createQueryWrapper() {
			queryWrapper = new LambdaQueryWrapper<JobReflex>();
			return this;
		}
		
		public Builder createUpdateWrapper() {
			updateWrapper = new LambdaUpdateWrapper<JobReflex>();
			return this;
		}
		
				public Builder idEq (String id) {
							if (StringUtil.isNotBlank(id)) {
					if (updateWrapper != null) {
						updateWrapper.eq(JobReflex::getId, id);
					} else {
						queryWrapper.eq(JobReflex::getId, id);
					}
				}
					    			return this;
		}
				public Builder oaJobIdEq (String oaJobId) {
							if (StringUtil.isNotBlank(oaJobId)) {
					if (updateWrapper != null) {
						updateWrapper.eq(JobReflex::getOaJobId, oaJobId);
					} else {
						queryWrapper.eq(JobReflex::getOaJobId, oaJobId);
					}
				}
					    			return this;
		}
				public Builder jobIdEq (String jobId) {
							if (StringUtil.isNotBlank(jobId)) {
					if (updateWrapper != null) {
						updateWrapper.eq(JobReflex::getJobId, jobId);
					} else {
						queryWrapper.eq(JobReflex::getJobId, jobId);
					}
				}
					    			return this;
		}
				public Builder createTimeEq (Date createTime) {
					    				if (null != createTime) {
					if (updateWrapper != null) {
						updateWrapper.eq(JobReflex::getCreateTime, createTime);
					} else {
						queryWrapper.eq(JobReflex::getCreateTime, createTime);
					}
				}
						return this;
		}
				public Builder updateTimeEq (Date updateTime) {
					    				if (null != updateTime) {
					if (updateWrapper != null) {
						updateWrapper.eq(JobReflex::getUpdateTime, updateTime);
					} else {
						queryWrapper.eq(JobReflex::getUpdateTime, updateTime);
					}
				}
						return this;
		}
				
		public LambdaQueryWrapper<JobReflex> builderQueryWrapper() {
			return queryWrapper;
		}
		
		public LambdaUpdateWrapper<JobReflex> builderUpdateWrapper() {
			return updateWrapper;
		}
	}
}
