package com.persagy.sso.pojo.dto;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.persagy.common.model.BaseEntity;
import com.persagy.common.utils.StringUtil;


import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-04-13 14:55:06
 */
@Getter
@Setter
@ToString
@EqualsAndHashCode(callSuper = false)
@TableName("wd_user")
public class WdUser extends   Model<WdUser> {

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
    private String employeeID;			// 员工编号（数据库主键）

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String employeeCode;			// 工号（长度为6位的数字，该工号将全公司唯一）

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String employeeName;			// 姓名

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String gender;			// 性别

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String username;			// 员工万信号

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String orgID;			// 公司编号（某个人所在的公司）（主要关系）

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String orgName;			// 公司名称

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String unitID;			// 部门编号（某个人所在的部门，也是指向orgID字段）

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String unitName;			// 部门名称

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String jobId;			// 岗位编号

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String jobName;			// 岗位名称

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String employeeStatusName;			// 员工状态名称

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String employeeStatus;			// 员工状态编码

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String unitfullpath;			// ID全路径

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String status;			// 状态（1：有效；0：无效），当员工未入职（employeeStatus=0）的时候，该字段的值必须是0，除此之外的状态，该字段都是1

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String idcard;			// 身份证号

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String mobile;			// 手机号

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private Date createIme;			// 创建时间

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private Date updateTime;			// 更新时间

    
	public static class Builder {

		private LambdaQueryWrapper<WdUser> queryWrapper = null;
		
		private LambdaUpdateWrapper<WdUser> updateWrapper = null;
		
		public Builder createQueryWrapper() {
			queryWrapper = new LambdaQueryWrapper<WdUser>();
			return this;
		}
		
		public Builder createUpdateWrapper() {
			updateWrapper = new LambdaUpdateWrapper<WdUser>();
			return this;
		}
		
				public Builder employeeIDEq (String employeeID) {
							if (StringUtil.isNotBlank(employeeID)) {
					if (updateWrapper != null) {
						updateWrapper.eq(WdUser::getEmployeeID, employeeID);
					} else {
						queryWrapper.eq(WdUser::getEmployeeID, employeeID);
					}
				}
					    			return this;
		}

				public Builder statusEq (String status) {
							if (StringUtil.isNotBlank(status)) {
					if (updateWrapper != null) {
						updateWrapper.eq(WdUser::getStatus, status);
					} else {
						queryWrapper.eq(WdUser::getStatus, status);
					}
				}
					    			return this;
		}
				public Builder idcardEq (String idcard) {
							if (StringUtil.isNotBlank(idcard)) {
					if (updateWrapper != null) {
						updateWrapper.eq(WdUser::getIdcard, idcard);
					} else {
						queryWrapper.eq(WdUser::getIdcard, idcard);
					}
				}
					    			return this;
		}
				public Builder mobileEq (String mobile) {
							if (StringUtil.isNotBlank(mobile)) {
					if (updateWrapper != null) {
						updateWrapper.eq(WdUser::getMobile, mobile);
					} else {
						queryWrapper.eq(WdUser::getMobile, mobile);
					}
				}
					    			return this;
		}
				public Builder createImeEq (Date createIme) {
					    				if (null != createIme) {
					if (updateWrapper != null) {
						updateWrapper.eq(WdUser::getCreateIme, createIme);
					} else {
						queryWrapper.eq(WdUser::getCreateIme, createIme);
					}
				}
						return this;
		}
				public Builder updateTimeEq (Date updateTime) {
					    				if (null != updateTime) {
					if (updateWrapper != null) {
						updateWrapper.eq(WdUser::getUpdateTime, updateTime);
					} else {
						queryWrapper.eq(WdUser::getUpdateTime, updateTime);
					}
				}
						return this;
		}
				
		public LambdaQueryWrapper<WdUser> builderQueryWrapper() {
			return queryWrapper;
		}
		
		public LambdaUpdateWrapper<WdUser> builderUpdateWrapper() {
			return updateWrapper;
		}
	}
}
