package com.persagy.sso.service;

import com.persagy.common.utils.ResponseResult;
import com.persagy.sso.pojo.dto.AccountDTO;
import com.persagy.sso.pojo.dto.QueryRoleDTO;
import com.persagy.sso.pojo.dto.SaasAccountCreateDTO;

/**
 * @ClassName : IAccountService
 * @Author ：xgq
 * @Date ：Created in 2021/4/16 0:39
 * @Description： TODO
 * @Version : 1.0
 */

public interface IAccountService {


    /**
     * @Description: 根据条件查询账号信息
     * @Author: xgq
     * @Date: 2021/4/16 0:44
     * @param accountDTO:
     * @return: com.persagy.common.utils.ResponseResult
     **/
    ResponseResult queryAccountByCondition(AccountDTO accountDTO);

    /**
     * @Description: 根据账号查询角色
     * @Author: xgq
     * @Date: 2021/4/16 1:44
     * @param queryRoleDTO :
     * @param token
     * @return: com.persagy.common.utils.ResponseResult
     **/
    ResponseResult queryRoleByAccount(QueryRoleDTO queryRoleDTO, String token);


    /**
     * @Description: 更新账号
     * @Author: xgq
     * @Date: 2021/4/16 2:27
     * @param createDTO :
     * @param token
     * @return: com.persagy.common.utils.ResponseResult
     **/
    ResponseResult updateAccount(SaasAccountCreateDTO createDTO, String token);


    /**
     * @Description: 新增账号信息
     * @Author: xgq
     * @Date: 2021/4/16 9:53
     * @param createDTO :
     * @param token
     * @return: com.persagy.common.utils.ResponseResult
     **/
    ResponseResult insertAccount(SaasAccountCreateDTO createDTO, String token);


    /**
     * @Description: 根据账号来源查询账号
     * @Author: xgq
     * @Date: 2021/4/29 10:24
     * @param accountDTO:
     * @param token:
     * @return: com.persagy.common.utils.ResponseResult
     **/
    ResponseResult queryAccountListBySource(AccountDTO accountDTO, String token);

    /**
     * @Description: 根据id批量删除
     * @Author: xgq
     * @Date: 2021/4/29 18:31
     * @param accountDTO :
     * @param token
     * @return: com.persagy.common.utils.ResponseResult
     **/
    ResponseResult deleteByIds(AccountDTO accountDTO, String token);

    ResponseResult queryAccountById(AccountDTO accountDTO, String token);
}
